//+------------------------------------------------------------------+
//|                                  |
//|                               Copyright  2012,   |
//|                                                cmillion@narod.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012,  "
#property link      "cmillion@narod.ru"
#property show_inputs

//--------------------------------------------------------------------
extern int     Stoploss          = 0,     // 
               Takeprofit        = 0;     // 
extern double  Lot               = 0.1;   //
extern int     Magic             = 0;     //    ,  0    ,     
extern bool    comment           = true;  //   
//--------------------------------------------------------------------
int start()
{
   double SL,TP;
   double Price = NormalizeDouble(WindowPriceOnDropped(),Digits);
   string txt=StringConcatenate("  Limit  ",DoubleToStr(Price,Digits),"  ",TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS));
   RefreshRates();
   if(Price>Ask) 
   {
      if (Takeprofit!=0) TP = NormalizeDouble(Price - Takeprofit * Point,Digits); else TP=0;
      if (Stoploss!=0)   SL = NormalizeDouble(Price + Stoploss   * Point,Digits); else SL=0;
      if (OrderSend(Symbol(),OP_SELLLIMIT,Lot,Price,0,SL,TP,"LimitOrders",Magic,0,CLR_NONE)!=-1)
           txt = StringConcatenate(txt,"\n SELLLIMIT ",DoubleToStr(Price,Digits));
      else txt = StringConcatenate(txt,"\n ",GetLastError(),"  SELLLIMIT ");
   }
   if(Price<Bid) 
   {
      if (Takeprofit!=0) TP = NormalizeDouble(Price + Takeprofit * Point,Digits); else TP=0;
      if (Stoploss!=0)   SL = NormalizeDouble(Price - Stoploss   * Point,Digits); else SL=0;
      if (OrderSend(Symbol(),OP_BUYLIMIT,Lot,Price,0,SL,TP,"LimitOrders",Magic,0,CLR_NONE )==-1)
           txt = StringConcatenate(txt,"\n BUYLIMIT ",DoubleToStr(Price,Digits));
      else txt = StringConcatenate(txt,"\n ",GetLastError(),"  BUYLIMIT ");
   }
   if (comment) Comment(txt,"\n    ",TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS));
   return(0);
}
//--------------------------------------------------------------------

